Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.invocation
Class RenderInvocation

    java.lang.Object
      org.jboss.portal.portlet.invocation.PortletInvocation
          org.jboss.portal.portlet.invocation.RenderInvocation

    public class RenderInvocation

extends PortletInvocation

Version:
  $Revision: 5448 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.portlet.invocation.PortletInvocation
`attributes, clientContext, ctx, dreq, dresp, instanceContext, mode, navigationalState, portalContext, publicNavigationalState, requestAttributes, securityContext, serverContext, target, userContext, windowContext, windowState`

Constructor Summary
`RenderInvocation(PortletInvocationContext ctx)`

Method Summary
`java.lang.String` | `getValidationToken()`
`void` | `setValidationToken(java.lang.String validationToken)`

Methods inherited from class org.jboss.portal.portlet.invocation.PortletInvocation
`getAttribute, getClientContext, getContext, getDispatchedRequest, getDispatchedResponse, getInstanceContext, getMode, getNavigationalState, getPortalContext, getPublicNavigationalState, getRequestAttributes, getSecurityContext, getServerContext, getTarget, getUserContext, getWindowContext, getWindowState, removeAttribute, setAttribute, setClientContext, setDispatchedRequest, setDispatchedResponse, setInstanceContext, setMode, setNavigationalState, setPortalContext, setPublicNavigationalState, setRequestAttributes, setSecurityContext, setServerContext, setTarget, setUserContext, setWindowContext, setWindowState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderInvocation

    public RenderInvocation(PortletInvocationContext ctx)
                     throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

Method Detail

### getValidationToken

    public java.lang.String getValidationToken()

### setValidationToken

    public void setValidationToken(java.lang.String validationToken)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.